QGIS Application - Bug report #5825
Print Composer Refresh broken
2012-06-19 08:52 AM - Filipe Dias

Status: Closed

Priority: High

Assignee: Marco Hugentobler

Category:

Affected QGIS version:1.8.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 15301
Description

The Refresh is not working in the New Print Composer. Steps to reproduce:
(1) Add layer

(2) Change the view on QGIS

(3) Press Refresh and nothing happens

This is a regression since it worked fine on 1.7.4 and on previous versions of QGIS 1.8

History

#1 - 2012-06-19 09:03 AM - Giovanni Manghi
- Category changed from GUI to 33

#2 - 2012-06-19 01:42 PM - Marco Hugentobler

- Status changed from Open to Feedback

What do you mean by 'Change the view on QGIS'? Panning the map in the main window (not in the composer)? Or in the composer map item?

Press Refresh

Do you mean 'update preview' of the composer map?

#3 - 2012-06-19 01:45 PM - Filipe Dias

No, View->Refresh

#4 - 2012-06-19 02:42 PM - Jiirgen Fischer

- Priority changed from Severe/Regression to High

#5 - 2012-06-22 08:51 AM - Filipe Dias

This problem only occurs when the view is shifted in QGIS canvas. If one simply activates or deactivates a layer, then Refresh button updates the layer in
print composer. But if the view is shifted to the left or right for example, the Refresh button doesnt update the layer.

A few days ago | had to do a number of maps of several different parts of a county, and every time | moved the view in QGIS, | had to add the layer again to
the Print Composer. This was extremely annoying and didnt have to this in QGIS 1.7.4.

#6 - 2012-06-24 04:54 AM - Giovanni Manghi

Filipe Dias wrote:

This problem only occurs when the view is shifted in QGIS canvas. If one simply activates or deactivates a layer, then Refresh button updates the
layer in print composer. But if the view is shifted to the left or right for example, the Refresh button doesnt update the layer.

A few days ago | had to do a number of maps of several different parts of a county, and every time | moved the view in QGIS, | had to add the layer

again to the Print Composer. This was extremely annoying and didnt have to this in QGIS 1.7.4.

| can confirm the issue, and as a regression this should be tagged as blocker.

#7 - 2012-06-24 06:04 PM - Nathan Woodrow

Does the Update preview buttons on the item properties panel do what you need. That is the one | have always used.

#8 - 2012-06-24 11:19 PM - Marco Hugentobler

This problem only occurs when the view is shifted in QGIS canvas

If you change the extent in QGIS canvas, it does not affect the print composer maps at all. You could however press on Item properties -> Extents ->Set to

map canvas extent.

#9 - 2012-06-25 01:44 AM - Filipe Dias

"Update preview" doesnt work but "ltem properties -> Extents ->Set to map canvas extent" does.

"If you change the extent in QGIS canvas, it does not affect the print composer maps at all"

It used to work, both on 1.7.4 and on previous versions of 1.9 and 1.8. From a user point of view it makes sense having the button that does this "at hand"

and not buried under "ltem properties -> Extents ->Set to map canvas extent".

#10 - 2012-06-25 02:00 AM - Nathan Woodrow

As a map frame can have different views of the QGIS canvas it makes no sense to me to have the refresh button change the view of the all the map frame.

The refresh button should only refresh all the views layers, if the frame isn't locked. Which works fine for me.

#11 - 2012-07-11 11:41 PM - Marco Hugentobler
- Status changed from Feedback to Closed

That's also my opinion. Btw., the refresh button did not alter the map views also in previous versions
